rte_cryptodev_qp_conf(3)

NAME
rte_cryptodev_qp_conf

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

uint32_t nb_descriptors
struct rte_mempool * mp_session
uint8_t priority

Detailed Description

Crypto device queue pair configuration structure.

Definition at line 661 of file rte_cryptodev.h.

Field Documentation

  uint32_t nb_descriptors
Number of descriptors per queue pair

Definition at line 662 of file rte_cryptodev.h.

  struct rte_mempool* mp_session
The mempool for creating session in sessionless mode

Definition at line 663 of file rte_cryptodev.h.

  uint8_t priority
Priority for this queue pair relative to other queue pairs.

The requested priority should in the range of [RTE_CRYPTODEV_QP_PRIORITY_HIGHEST, RTE_CRYPTODEV_QP_PRIORITY_LOWEST]. The implementation may normalize the requested priority to device supported priority value.

Definition at line 665 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.